;
; Block IO
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComRxBlk		Read block of characters
;;	int ComRxBlk(port, buf, cnt)
;;		int port		Port number to read
;;		far char *buf	Buffer address
;;		int cnt			Number of bytes to read
;;	Returns number of characters actually moved, does not wait after it
;;	empties the receive buffer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComRxBlk

ComRxBlk PROC uses ES DI, port:WORD, buf:DWORD, cnt:WORD
	mov CX,cnt
	les DI,buf
	comms rxblock,port
	ret
ComRxBlk ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTxBlk		Write block of characters
;;	int ComTxBlk(port, buf, cnt)
;;		int port		Port number to read
;;		far char *buf	Buffer address
;;		int cnt			Number of bytes to read
;;	Returns number of characters actually moved, does not wait after it
;;	empties the receive buffer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComTxBlk

ComTxBlk PROC uses ES DI, port:WORD, buf:DWORD, cnt:WORD
	mov CX,cnt
	les DI,buf
	comms txblock, port
	ret
ComTxBlk ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
