
;
; Cursor functions
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComSetCur		Set cursor location
;;	void ComSetCur(int col, int row)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComSetCur

ComSetCur PROC col:BYTE, row:BYTE
	mov DL,col
	mov DH,row
	comms setcur
	ret
ComSetCur ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComGetCur		Set cursor location
;;	void ComSetCur (WORD far *, WORD far *)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComGetCur

ComGetCur PROC uses ES DI, cptr:PTR, rptr:PTR
	comms getcur
	xor AH,AH
	mov AL,DL
	les DI,cptr
	stosw
	les DI,rptr
	mov DH,AL
	stosw
	ret
ComGetCur ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComWrAnsi		Write character (with ANSI support)
;;	void ComWrAnsi(ch)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComWrAnsi

ComWrAnsi PROC, chr:BYTE
	mov AL,chr
	comms wransi
	ret
ComWrAnsi ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComWrChar		Write character (reentrant)
;;	void ComWrChar(ch)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComWrChar

ComWrChar PROC chr:BYTE
	mov AL, chr
	comms wrchar
	ret
ComWrChar ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
