;
; Character IO
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComKbPeek		Non-destructive read-ahead keyboard
;;	unsigned ComKbPeek(void)
;;	Returns 0xffff if not available, otherwise character
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComKbPeek

ComKbPeek PROC
	comms kbnowait
	ret
ComKbPeek ENDP

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComKbChar		Destructive keyboard read
;;	unsigned ComKbChar(port)
;;		int port	Port number to purge
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComKbChar

ComKbChar PROC
	comms kbwait
	ret
ComKbChar ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
