;
; Timer routines
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTimer		Return system timer parameters
;;	void ComTimer(port, struct t_info *)
;;		int port	Port number to use
;;		struct t_info *
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComTimer

ComTimer PROC uses DS, port:WORD, t_info:PTR
	comms timer, port
	lds BX,t_info
	mov byte ptr [BX].timerint,AL
	mov byte ptr [BX].ticksecs,AH
	mov word ptr [BX].milltick,DX
	ret
ComTimer ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComInstFunc		Install/deinstall function from timer
;;	int ComInstFunc(flag, func)
;;		int flag	1 = Insert function, 0 = Remove function
;;		int(*)func()
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComInstFunc

ComInstFunc PROC uses ES, flag:BYTE, func:PTR
	les DX,func
	mov AL,flag
	comms insttimer
	ret
ComInstFunc ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
